#ifndef PLAYLIST_H
#define PLAYLIST_H
/* playlist.c*/
void playlist_manager();
extern GtkListStore *curlist;
int playlist_manager_quit();
void update_playlist_manager();

/*main.c */
int check_error();
extern mpd_Connection * connection;

extern GtkTooltips *tray_icon_tooltip;
extern mpd_Status *status;
typedef struct
		{
		gboolean update_timeout;
		gboolean mw_show;
		gboolean tray_running;
		gboolean playlist_running;
		gboolean show_filter;
		gboolean show_advanced;
		gboolean last_error;
		int song;
		int playlist;
		}iset_struct;
extern iset_struct insetting;

/* functions */
void play_song();
void stop_song();
void next_song();
void prev_song();
void pause_song();
void select_playlist();
void select_playlist();
void volume_up();
void volume_down();
void shuffle_pl();
void start_search();
void repeat_pl();
void repeat_pl_tb(GtkWidget *wid);
int hide_mainw();
void set_volume();
void play_pause_song();
void random_pl();
void random_pl_tb(GtkWidget *wid);
void show_playlist_manager();
void show_playlist_manager_tb();
void stock_icons();

/* config.c */
void read_config();
void write_config();

typedef struct 
		{
			gboolean autoconnect;
			gboolean hide_mw;
			gchar *ip;
			int 	  port;
			}config_struct;

extern config_struct config;


/* player.c*/
extern GladeXML *xmlmw;
void player_quit();
int  hide_mainw();
void create_player();

/* tray.c*/
int update_tray();
int tray_clicked(GtkWidget *image, GdkEventButton *event);
gboolean tray_init();
extern GtkWidget *tray_icon_image;
extern EggTrayIcon *tray_icon;

#endif
