/* libmpdclient
 * (c)2003 by Qball Cow (Qball@Qball.homelinux.org)
 * This project's homepage is: http://www.musicpd.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include <gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glade/glade.h>
#include "libmpdclient.h"
#include "eggtrayicon.h"
#include "playlist.h"

GladeXML *xmlmw = NULL;


int volume_start()
    {
    if(!insetting.update_timeout) return TRUE;
    insetting.update_timeout = FALSE;
    return FALSE;
    }

int volume_stop()
    {
    if(insetting.update_timeout) return TRUE;
    insetting.update_timeout = TRUE;
    return FALSE;
    }
void player_quit()
		{
		if(insetting.tray_running)hide_mainw();
		else gtk_main_quit();
		}

/* this function hides the player window */
int  hide_mainw()
	{
		if(!insetting.tray_running) return TRUE;
		if(insetting.mw_show) gtk_widget_hide(glade_xml_get_widget(xmlmw, "player_win"));
		else gtk_widget_show(glade_xml_get_widget(xmlmw, "player_win"));
		insetting.mw_show = !insetting.mw_show;
		return TRUE;
	}

void create_player()
	{
	xmlmw = glade_xml_new(GLADE_PATH"playlist.glade", "player_win", NULL);
	gtk_widget_show_all(glade_xml_get_widget(xmlmw, "player_win"));

	gtk_image_set_from_stock(GTK_IMAGE(glade_xml_get_widget(xmlmw, "image_player")),"traymp-tray",GTK_ICON_SIZE_BUTTON);
	gtk_image_set_from_stock(GTK_IMAGE(glade_xml_get_widget(xmlmw, "prevbi")),"media-prev", GTK_ICON_SIZE_BUTTON);
	gtk_image_set_from_stock(GTK_IMAGE(glade_xml_get_widget(xmlmw, "nextbi")), "media-next", GTK_ICON_SIZE_BUTTON);
	gtk_image_set_from_stock(GTK_IMAGE(glade_xml_get_widget(xmlmw, "stopbi")), "media-stop", GTK_ICON_SIZE_BUTTON);
	gtk_image_set_from_stock(GTK_IMAGE(glade_xml_get_widget(xmlmw, "playbi")), "media-play", GTK_ICON_SIZE_BUTTON);
	/* Some tooltips that I cannot set in glade */
	gtk_tooltips_set_tip((GtkTooltips *)tray_icon_tooltip,(GtkWidget *)glade_xml_get_widget(xmlmw, "vol_slide"), "Volume", NULL);
 	gtk_tooltips_set_tip((GtkTooltips *)tray_icon_tooltip,(GtkWidget *)glade_xml_get_widget(xmlmw, "prog_slide"), "Progress slide", NULL);
	if(connection->version[1] < 9)
	    {
	     gtk_widget_hide(glade_xml_get_widget(xmlmw, "randt"));  
	     }
	/* connect signals */
	glade_xml_signal_autoconnect(xmlmw);
    
	/* hide the main window if that option is set. */
	if(config.hide_mw)
		{
		insetting.mw_show = FALSE;
		gtk_widget_hide(glade_xml_get_widget(xmlmw, "player_win"));
		}
	else 
		{
		/* make it global that the player window is showed */
		insetting.mw_show = TRUE;		
		}
	}

